.auction {
    width: 100%;
    max-width: 800px;
    text-align: center;
}

table.auction {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
}

.auction .row {
    margin: 0;
    padding: 0;
}

.auction .cell {
    width: 25%;
    height: 24px;
    margin: 0;
    padding: 0;

    background-color: #fafafa;
    border: 1px solid #dedede;
}

.auction .cell:nth-child(even) {
    filter: brightness(97%);
}

.bidding-box {
    width: 100%;
    max-width: 800px;
}

.bidding-box button {
    border: none;
    background: none;
    cursor: pointer;
    width: 100%;
    height: 100%;
}

.bidding-box table {
    width: 100%;
    max-width: 100%;
    text-align: center;
}

.bidding-box td {
    height: 28px;
    line-height: 28px;
}

.bidding-box a {
    color: inherit;
    text-decoration: none;

    display: inline-block;
    width: 100%;
    height: 100%;
}

.bidding-box .pass {
    background-color: var(--pass);
}

.bidding-box .pass:hover {
    filter: brightness(90%);
}

.bidding-box .double, .bidding-box .double-double {
    background-color: var(--double);
}

.bidding-box .double:hover, .bidding-box .double-double:hover {
    filter: brightness(90%);
}

.bidding-box .inactive-bid {
    background-color: #fdfdfd;
    opacity: 0.2;
}

.bidding-box .active-bid, .bidding-box .undo {
    background-color: #f0f0f0;
}

.bidding-box .active-bid:hover, .bidding-box .undo:hover {
    filter: brightness(90%);
}
